<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.prime.com.tr/ui"
	xmlns:jsf="http://xmlns.jcp.org/jsf">
	<html>
	<h:body>
<div id="Menu">
		<ui:include src="HomeHRManager.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		  
		  
		  <div class="col-md-8">	

					<div class="widget">
							<div class="widget-header transparent">
								<h2>Adding a new <strong> Training</strong></h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content padding">						
								<div id="horizontal-form">
									<h:form class="form-horizontal" role="form">
									
									  <div class="form-group">
										<label  class="col-sm-2 control-label">Title</label>
										<div class="col-sm-10">
										  <h:inputText  
										  value="#{trainingBean.training.title}"  
										  class="form-control"
										  id="validateTitle" 
										  required="true"
										  requiredMessage="Title field is required !"/>
										</div>
										<div class="col-sm-3"></div>
										<h:message 
									  		 for="validateTitle"
									  		 class="col-sm-3 label label-warning" />
									  </div>
									  <div class="form-group">
										<label  class="col-sm-2 control-label">Date</label>
										<div class="col-sm-10">
     							 					<input type="date"
     							 						class="form-control datepicker" 
     							 						id="validateDate"
     							 						jsf:value="#{trainingBean.training.date}" 
     							 						required="true"
														requiredMessage="Date field is required !">
     							 						<f:convertDateTime type="date" pattern="yyyy-MM-dd" />
     							 					</input>
										</div>
										
										
									  </div>
									  <div class="form-group">
										<label class="col-sm-2 control-label">Description</label>
										<div class="col-sm-10">
										  <h:inputTextarea 
										  id="validateDescription" 
										  class="form-control" 
										  value="#{trainingBean.training.description}" 
										  cols="35" rows="3"
										  required="true"
										  requiredMessage="Description field is required !"/>
										</div>
										<div class="col-sm-3"></div>
										<h:message 
									  		 for="validateDescription"
									  		 class="col-sm-3 label label-warning" />
									  </div>
									 
									  <div class="form-group">
										<div class="col-sm-offset-2 col-sm-10">
										<h:panelGrid columns="2">
											<h:commandLink 
												title="Add"
												action="trainingManagement.xhtml?faces-redirect=true"
												styleClass="btn btn-info" >
    											<i class="fa fa-plus-circle"></i> Add
												<f:actionListener binding="#{trainingBean.doAddTraining()}"/>
											</h:commandLink>
											
											<h:commandButton
												title="Cancel"
												type="reset" 
												styleClass="btn btn-danger" value="Cancel">
											 </h:commandButton>
											
											
											</h:panelGrid>
										</div>
									
									
						
									  </div>
									</h:form>
								</div>
							</div>
						</div>
						
		  	</div>
		  </div>
		<ui:include src="Footer.xhtml" />
		</div>
		</h:body>
		</html>
</ui:composition>